#

API Docs for: 1.0
Show: Inherited Protected Private Deprecated

# Point Class

Defined in: `pixi/Point.js:5`
Module: PIXI

The Point object represents a location in a two-dimensional coordinate system, where x represents the horizontal axis and y represents the vertical axis.

## Constructor

### `Point`

(

- `x`
- `y`

)

Defined in `pixi/Point.js:5`

#### Parameters:

- `x` Number

  position of the point

- `y` Number

  position of the point

- Index
- Methods
- Properties

## Item Index

### Methods

- clone

### Properties

- x
- y

## Methods

### `clone`

()

Defined in `pixi/Point.js:29`

#### Returns:

a copy of the point

## Properties

### `x`

Number

Defined in `pixi/Point.js:14`

Default: 0

### `y`

Number

Defined in `pixi/Point.js:21`

Default: 0